Bug 1769578 - Specfile global commit has to be overridable
Summary: Specfile global commit has to be overridable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.0
Assignee: Christian Glombek
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1769581
TreeView+ depends on / blocked
 
Reported: 2019-11-06 21:49 UTC by Christian Glombek
Modified: 2020-01-23 11:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1769581 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:11:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1226 'None' 'closed' 'Bug 1769578: Specfile: Make `%global commit ...` overridable' 2019-11-27 15:26:31 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:11:31 UTC

Description Christian Glombek 2019-11-06 21:49:53 UTC
Description of problem:
We want to make %global commit foo overridable with rpmbuild --define "commit bar" in order to do CI builds of current machine-config-daemon repo contents 

PR:
https://github.com/openshift/machine-config-operator/pull/1226

Comment 2 Michael Nguyen 2019-11-20 19:08:00 UTC
Verified on 4.3.0-0.nightly-2019-11-18-175710

- CI is working / Nightly builds are successful
- RPM builds are succeeding
- machine-config-daemon built with spec file is in the nightly build

Comment 4 errata-xmlrpc 2020-01-23 11:11:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.